// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/WindTurbine.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WindTurbine {

  /// <summary>Holder for reflection information generated from telemetry/WindTurbine.proto</summary>
  public static partial class WindTurbineReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/WindTurbine.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WindTurbineReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cht0ZWxlbWV0cnkvV2luZFR1cmJpbmUucHJvdG8SDHdpbmRfdHVyYmluZRof",
            "Z29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byK7AQoLV2luZFR1cmJp",
            "bmUSIAoTbmFjZWxsZV90ZW1wZXJhdHVyZRgBIAEoCUgAiAEBEh4KEW5hY2Vs",
            "bGVfeWF3X2FuZ2xlGAIgASgJSAGIAQESIgoVY29udmVydGVyX3RlbXBlcmF0",
            "dXJlGAMgASgJSAKIAQFCFgoUX25hY2VsbGVfdGVtcGVyYXR1cmVCFAoSX25h",
            "Y2VsbGVfeWF3X2FuZ2xlQhgKFl9jb252ZXJ0ZXJfdGVtcGVyYXR1cmVCdwob",
            "Y29tLmNvZGlibHkubW9kZWwudGVsZW1ldHJ5QhBXaW5kVHVyYmluZVByb3Rv",
            "ygIbRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWluTW9kZWxc",
            "UHJvdG9cVGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WindTurbine.WindTurbine), global::WindTurbine.WindTurbine.Parser, new[]{ "NacelleTemperature", "NacelleYawAngle", "ConverterTemperature" }, new[]{ "NacelleTemperature", "NacelleYawAngle", "ConverterTemperature" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WindTurbine : pb::IMessage<WindTurbine>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WindTurbine> _parser = new pb::MessageParser<WindTurbine>(() => new WindTurbine());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WindTurbine> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WindTurbine.WindTurbineReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbine() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbine(WindTurbine other) : this() {
      nacelleTemperature_ = other.nacelleTemperature_;
      nacelleYawAngle_ = other.nacelleYawAngle_;
      converterTemperature_ = other.converterTemperature_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbine Clone() {
      return new WindTurbine(this);
    }

    /// <summary>Field number for the "nacelle_temperature" field.</summary>
    public const int NacelleTemperatureFieldNumber = 1;
    private string nacelleTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string NacelleTemperature {
      get { return nacelleTemperature_ ?? ""; }
      set {
        nacelleTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "nacelle_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasNacelleTemperature {
      get { return nacelleTemperature_ != null; }
    }
    /// <summary>Clears the value of the "nacelle_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearNacelleTemperature() {
      nacelleTemperature_ = null;
    }

    /// <summary>Field number for the "nacelle_yaw_angle" field.</summary>
    public const int NacelleYawAngleFieldNumber = 2;
    private string nacelleYawAngle_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string NacelleYawAngle {
      get { return nacelleYawAngle_ ?? ""; }
      set {
        nacelleYawAngle_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "nacelle_yaw_angle" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasNacelleYawAngle {
      get { return nacelleYawAngle_ != null; }
    }
    /// <summary>Clears the value of the "nacelle_yaw_angle" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearNacelleYawAngle() {
      nacelleYawAngle_ = null;
    }

    /// <summary>Field number for the "converter_temperature" field.</summary>
    public const int ConverterTemperatureFieldNumber = 3;
    private string converterTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ConverterTemperature {
      get { return converterTemperature_ ?? ""; }
      set {
        converterTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "converter_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConverterTemperature {
      get { return converterTemperature_ != null; }
    }
    /// <summary>Clears the value of the "converter_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConverterTemperature() {
      converterTemperature_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WindTurbine);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WindTurbine other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (NacelleTemperature != other.NacelleTemperature) return false;
      if (NacelleYawAngle != other.NacelleYawAngle) return false;
      if (ConverterTemperature != other.ConverterTemperature) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasNacelleTemperature) hash ^= NacelleTemperature.GetHashCode();
      if (HasNacelleYawAngle) hash ^= NacelleYawAngle.GetHashCode();
      if (HasConverterTemperature) hash ^= ConverterTemperature.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasNacelleTemperature) {
        output.WriteRawTag(10);
        output.WriteString(NacelleTemperature);
      }
      if (HasNacelleYawAngle) {
        output.WriteRawTag(18);
        output.WriteString(NacelleYawAngle);
      }
      if (HasConverterTemperature) {
        output.WriteRawTag(26);
        output.WriteString(ConverterTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasNacelleTemperature) {
        output.WriteRawTag(10);
        output.WriteString(NacelleTemperature);
      }
      if (HasNacelleYawAngle) {
        output.WriteRawTag(18);
        output.WriteString(NacelleYawAngle);
      }
      if (HasConverterTemperature) {
        output.WriteRawTag(26);
        output.WriteString(ConverterTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasNacelleTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(NacelleTemperature);
      }
      if (HasNacelleYawAngle) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(NacelleYawAngle);
      }
      if (HasConverterTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ConverterTemperature);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WindTurbine other) {
      if (other == null) {
        return;
      }
      if (other.HasNacelleTemperature) {
        NacelleTemperature = other.NacelleTemperature;
      }
      if (other.HasNacelleYawAngle) {
        NacelleYawAngle = other.NacelleYawAngle;
      }
      if (other.HasConverterTemperature) {
        ConverterTemperature = other.ConverterTemperature;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            NacelleTemperature = input.ReadString();
            break;
          }
          case 18: {
            NacelleYawAngle = input.ReadString();
            break;
          }
          case 26: {
            ConverterTemperature = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            NacelleTemperature = input.ReadString();
            break;
          }
          case 18: {
            NacelleYawAngle = input.ReadString();
            break;
          }
          case 26: {
            ConverterTemperature = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
